/*
 * @author norbert
 * @date 28.08.2008
 * @version $Id: EventSenderPortlet.java,v 1.1 2008-08-28 14:43:36 norbert Exp $
 */
package com.gentics.portalnode.sdk.events;

import java.io.IOException;
import java.io.PrintWriter;

import javax.portlet.ActionRequest;
import javax.portlet.ActionResponse;
import javax.portlet.GenericPortlet;
import javax.portlet.PortletException;
import javax.portlet.PortletURL;
import javax.portlet.RenderRequest;
import javax.portlet.RenderResponse;

/**
 * Implementation of a portlet which sends events (when the action is triggered)
 */
public class EventSenderPortlet extends GenericPortlet {
    /**
     * name of the event
     */
    public final static String EVENT_NAME = "ClickCounterEvent";

    /* (non-Javadoc)
     * @see javax.portlet.GenericPortlet#doView(javax.portlet.RenderRequest, javax.portlet.RenderResponse)
     */
    protected void doView(RenderRequest request, RenderResponse response)
            throws PortletException, IOException {
        PrintWriter writer = response.getWriter();
        PortletURL actionURL = response.createActionURL();
        writer.println("This is the event sending portlet.<br/>");
        writer.println("Click <a href=\""+actionURL.toString()+"\">me</a> to send the event.");
    }

    /* (non-Javadoc)
     * @see javax.portlet.GenericPortlet#processAction(javax.portlet.ActionRequest, javax.portlet.ActionResponse)
     */
    public void processAction(ActionRequest request, ActionResponse response)
            throws PortletException, IOException {
        // every time, the action is processed, we trigger the event
        response.setEvent(EVENT_NAME, null);
    }
}
